Subject: Re: echo is wrong...
From: [email-masked] (Earnie Boyd)

13 Apr 1998 08:46:46 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Larry Hall <[email-masked]>
Cc: gw32 <[email-masked]>

---Larry Hall <[email-masked]> wrote:
<snip>
> b19* versions of bash (2.0.1) are hardcoded to force the pipes to be
text
> again.  I didn't even realize this myself until Sergey pointed it out.
> He had recompiled a version to keep pipes as binary for b18 and I
got so 
> used to having it that way, I forgot Cygnus would change it back
when I upgraded to b19!  I'm building a new bash now so the world is
right again!;-)
> This explains why what you did works from the DOS prompt and not
from inside
> bash.  I guess bash should really be changed to look at the bin
setting in
> CYGWIN32 environment variable so that this is more configurable...

Why?  Who in there right mind would want anything but binary pipe
reads?  What purpose would text pipes give?  I can't think of any. 
Pipes should always just pass along any data received.  They should
never do anything with the data, including interpret a ^Z as the end
of file.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

> 
> 
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      (781) 239-1053
> 8 Grove Street                          (781) 239-1655 - FAX
> Wellesley, MA  02181                    http://www.rfk.com
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".